import { SimpleLocalIntegration } from '../../core/index.js';
import { GtfsConfigFlow } from './gtfs.classes.configflow.js';
import { createGtfsDiscoveryDescriptor } from './gtfs.discovery.js';
import type { IGtfsConfig } from './gtfs.types.js';
import { gtfsDomain, gtfsProfile } from './gtfs.types.js';

export class GtfsIntegration extends SimpleLocalIntegration<IGtfsConfig> {
  public readonly domain = gtfsDomain;
  public readonly discoveryDescriptor = createGtfsDiscoveryDescriptor();
  public readonly configFlow = new GtfsConfigFlow();

  constructor() {
    super(gtfsProfile);
  }
}

export class HomeAssistantGtfsIntegration extends GtfsIntegration {}
